com.trendmicro.ds.appcontrol.rest.object

## Class CreateInventoryRequest

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.CreateInventoryRequest

-     public class CreateInventoryRequest
      extends java.lang.Object

  Request object for the CreateInventory API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateInventoryRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCreateRuleset()` Get whether or not to create a ruleset from this inventory on completion.
    `java.lang.String` | `getDescription()` Get the description for this inventory.
    `java.lang.Integer` | `getHostID()` Get the host to create an inventory of.
    `java.lang.String` | `getName()` Get the name to display for this inventory.
    `void` | `setCreateRuleset(java.lang.Boolean createRuleset)` Set whether or not to create a ruleset from this inventory on completion.
    `void` | `setDescription(java.lang.String description)` Set the description for this inventory.
    `void` | `setHostID(java.lang.Integer hostID)` Set the host to create an inventory of.
    `void` | `setName(java.lang.String name)` Set the name to display for this inventory.
    `CreateInventoryRequest` | `withCreateRuleset(java.lang.Boolean createRuleset)` Set whether or not to create a ruleset from this inventory on completion.
    `CreateInventoryRequest` | `withDescription(java.lang.String description)` Set the description for this inventory.
    `CreateInventoryRequest` | `withHostID(java.lang.Integer hostID)` Set the host to create an inventory of.
    `CreateInventoryRequest` | `withName(java.lang.String name)` Set the name to display for this inventory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateInventoryRequest

          public CreateInventoryRequest()

  - ### Method Detail

    - #### getHostID

          public java.lang.Integer getHostID()

      Get the host to create an inventory of.
      Returns:
        the host to create an inventory of.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Set the host to create an inventory of.
      Parameters:
        `hostID` - the host to create an inventory of.

    - #### withHostID

          public CreateInventoryRequest withHostID(java.lang.Integer hostID)

      Set the host to create an inventory of.
      Parameters:
        `hostID` - the host to create an inventory of.
      Returns:
        the updated CreateInventoryRequest object.

    - #### getName

          public java.lang.String getName()

      Get the name to display for this inventory.
      Returns:
        the name to display for this inventory.

    - #### setName

          public void setName(java.lang.String name)

      Set the name to display for this inventory.
      Parameters:
        `name` - the name to display for this inventory.

    - #### withName

          public CreateInventoryRequest withName(java.lang.String name)

      Set the name to display for this inventory.
      Parameters:
        `name` - the name to display for this inventory.
      Returns:
        the updated CreateInventoryRequest object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the description for this inventory.
      Returns:
        the description for this inventory.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the description for this inventory.
      Parameters:
        `description` - the description for this inventory.

    - #### withDescription

          public CreateInventoryRequest withDescription(java.lang.String description)

      Set the description for this inventory.
      Parameters:
        `description` - the description for this inventory.
      Returns:
        the updated CreateInventoryRequest object.

    - #### getCreateRuleset

          public java.lang.Boolean getCreateRuleset()

      Get whether or not to create a ruleset from this inventory on completion.
      Returns:
        whether or not to create a ruleset from this inventory on completion.

    - #### setCreateRuleset

          public void setCreateRuleset(java.lang.Boolean createRuleset)

      Set whether or not to create a ruleset from this inventory on completion.
      Parameters:
        `createRuleset` - whether or not to create a ruleset from this inventory on completion.

    - #### withCreateRuleset

          public CreateInventoryRequest withCreateRuleset(java.lang.Boolean createRuleset)

      Set whether or not to create a ruleset from this inventory on completion.
      Parameters:
        `createRuleset` - whether or not to create a ruleset from this inventory on completion.
      Returns:
        the updated CreateInventoryRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.